// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import useEchartDemo from '../../components/ts-vue-echarts-demo/src/index.js'
import {useEchartView, useEchart, components} from '../../index.js'
import * as test from '../../index.js'
// 全局挂载引入发布-订阅模式
import PubSub from 'pubsub-js'
console.log(test, 'test')
// console.log('useEchartDemo', useEchartDemo)
// console.log('useEchartView', useEchartView, useEchart, components)
Vue.use(useEchartDemo)
Vue.use(useEchartView)
Vue.use(useEchart)
console.log('components', components)
// console.log('tsVueBarStyle2', TsVueBarStyle1)
Vue.config.productionTip = false
Vue.prototype.$PubSub = PubSub

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
